using System;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0x1c0c, 0x1c0d )]
	public class StuddedBustierArms : BaseArmor
	{
		public override bool AllowMaleWearer{ get{ return false; } }

		[Constructable]
		public StuddedBustierArms() : base( 0x1c0c, OreInfo.Iron, 16, ArmorMaterialType.Studded, ArmorBodyType.Arms )
		{
			Weight = 1;
			DexBonus = 0;
			StrRequirement = 35;
		}

		public StuddedBustierArms( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}