using System;
using Server.Network;

namespace Server.Items
{
	public class SpecialFishingNet : Item
	{
		public override int LabelNumber{ get{ return 1041079; } } // a special fishing net
		[Constructable]
		public SpecialFishingNet() : this( 1 )
		{
		}

		[Constructable]
		public SpecialFishingNet( int amount ) : base( 0x0DCA )
		{
			Stackable = true;
			Weight = 1.0;
			Amount = amount;
			Hue = 0x8A0;
		}

		public SpecialFishingNet( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}

		public override void OnDoubleClick( Mobile from )
		{
			if ( RootParent == from )
			{
				// Create SOS
			}
			else
			{
				from.SendMessage( "That item needs to be in your backpack or bankbox to open" );
			}
		}
	}
}
