using System;
using Server;

namespace Server.Misc
{
	public class Fastwalk
	{
		private const int  MaxSteps = 4;			// Maximum number of queued steps until fastwalk is detected

		private const bool Enabled = true;			// Is fastwalk detection enabled?
		private const bool ConsoleOutput = true;	// Should the core print warning messages to the console when fastwalk is detected?
		private const bool UOTDOverride = false;	// Should UO:TD clients not be checked for fastwalk?

		private const AccessLevel AccessOverride = AccessLevel.GameMaster; // Anyone with this or higher access level is not checked for fastwalk

		public static void Initialize()
		{
			Mobile.FwdMaxSteps = MaxSteps;
			Mobile.FwdEnabled = Enabled;
			Mobile.FwdConsoleOutput = ConsoleOutput;
			Mobile.FwdUOTDOverride = UOTDOverride;
			Mobile.FwdAccessOverride = AccessOverride;
		}
	}
}