using System;
using Server;
using Server.Misc;
using Server.Items;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	public class Betrayer : BaseCreature
	{
		[Constructable]
		public Betrayer() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = NameList.RandomMaleName();
			Title = "the betrayer";
			Body = 767;


			SetStr( 401, 500 );
			SetDex( 81, 100 );
			SetInt( 151, 200 );

			SetHits( 241, 300 );

			SetDamage( 16, 22 );

			SetSkill( SkillName.Anatomy, 90.1, 100.0 );
			SetSkill( SkillName.EvalInt, 90.1, 100.0 );
			SetSkill( SkillName.Magery, 50.1, 100.0 );
			SetSkill( SkillName.Meditation, 90.1, 100.0 );
			SetSkill( SkillName.MagicResist, 120.1, 130.0 );
			SetSkill( SkillName.Tactics, 90.1, 100.0 );
			SetSkill( SkillName.Wrestling, 90.1, 100.0 );

			Fame = 15000;
			Karma = -15000;

			VirtualArmor = 65;
			Kills = 30;
			SpeechHue = Utility.RandomDyedHue();

			PackGem();

			// 2 in 8 chance of getting magic weapon =)
			switch ( Utility.Random( 8 ))
			{
				case 0: PackItem( RandomMagicItem.RandomMagicWeapon( (BaseWeapon)RandomMagicItem.RandomWeapon, 1, 5 )); break;
				case 1: PackItem( RandomMagicItem.RandomMagicArmor( (BaseArmor)RandomMagicItem.RandomArmor, 1, 5 )); break;
				case 2: PackItem( new Katana() ); break;
				case 3: PackItem( new BodySash() ); break;
				case 4: PackItem( new Halberd() ); break;
				case 5: PackItem( new LapHarp() ); break;
				case 6: PackItem( new BlackPearl( 5 ) ); break;
				case 7: PackItem( new SpidersSilk( 5 ) ); break;
			}

			PackGold( 300, 350 );
		}

		public override Poison PoisonImmune{ get{ return Poison.Lethal; } }

		public Betrayer( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}